import { IVariableClass, NewVariableClass } from './variable-class.model';

export const sampleWithRequiredData: IVariableClass = {
  id: 22612,
  code: 'starry how absolute',
  name: 'ha worth',
};

export const sampleWithPartialData: IVariableClass = {
  id: 22594,
  code: 'tricky bogus why',
  name: 'month but',
  version: 17759,
};

export const sampleWithFullData: IVariableClass = {
  id: 12741,
  code: 'imbue ptarmigan unlike',
  name: 'evolve pleased',
  version: 31465,
};

export const sampleWithNewData: NewVariableClass = {
  code: 'worse',
  name: 'ouch',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
